RubyGems Navigation menu

daru 0.1.3

Daru (Data Analysis in RUby) is a library for analysis, manipulation and visualization of data. Daru works seamlessly accross interpreters and leverages interpreter-specific optimizations whenever they are available. It is the default data storage gem for all the statsample gems (glm, timeseries, etc.) and can be used with many others like mixed_models, gnuplotrb, nyaplot and iruby.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 0.3 - May 30, 2020 (699 KB)
  2. 0.2.2 - August 11, 2019 (687 KB)
  3. 0.2.1 - July 02, 2018 (684 KB)
  4. 0.2.0 - November 01, 2017 (682 KB)
  5. 0.1.6 - August 09, 2017 (674 KB)
  6. 0.1.3 - May 10, 2016 (437 KB)
Show all versions (23 total)

Runtime Dependencies (2):

reportbuilder ~> 1.4
spreadsheet ~> 1.1.1

Development Dependencies (16):

activerecord ~> 4.0
bundler ~> 1.10
dbi >= 0
distribution ~> 0.7
nmatrix ~> 0.2.1
nyaplot ~> 0.1.5
pry ~> 0.10
pry-byebug >= 0
rake ~> 10.5
rb-gsl ~> 1.16
rserve-client ~> 0.3
rspec ~> 3.4
rubocop >= 0.40.0
sqlite3 >= 0

Owners:

Authors:

  • Sameer Deshmukh

SHA 256 checksum:

1424293e618caa6d573cb26f0605ea1bfbe3f796fe33936fbe5a65a64dd36aed

Total downloads 1,913,458

For this version 2,212

License:

BSD-2

Required Ruby Version: >= 0

Links: